> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Cash Flow Statement

> This endpoint retrieves a cash flow statement.

<ParamField path="business_id" required="true" type="string">
  ID of the Business to generate a Cash Flow Statement for.
</ParamField>

### Response

Returns the generated [Cash Flow Statement](/api-reference/reports/cash-flow-statement/cash-flow-statement).

<RequestExample>
  ```bash Request theme={null}
  curl -X GET 'https://sandbox.layerfi.com/v1/businesses/47bdad2a-d670-4295-ae52-6f263e91caf2/reports/cash-flow-statement?effective_date=2023-01-01T00:00:00-06:00' \
    -H 'Authorization: Bearer <access_token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "type": "Cash_Flow_Statement",
      "period_start_date": "2023-01-01T00:00:00-06:00",
      "period_end_date": "2023-12-31T00:00:00-06:00",
      "cash_from_operations": [
        {
          "id": "ab16f453-6b0f-416d-bcc9-92edba3b6e0a",
          "name": "Cost of Goods Sold",
          "stable_name": "COGS",
          "normality": "DEBIT",
          "account_type": {
            "value": "EXPENSE",
            "display_name": "Expenses"
          },
          "balance": 5156220
        },
        {
          "id": "ab5f3795-734e-4b12-b9a1-c32ec4b43c2e",
          "name": "Operating Expenses",
          "stable_name": "OPERATING_EXPENSES",
          "normality": "DEBIT",
          "account_type": {
            "value": "EXPENSE",
            "display_name": "Expenses"
          },
          "balance": 6395004
        }
      ],
      "cash_from_investing": [
        {
          "id": "43f6887f-d24a-401f-bd0d-47a352185039",
          "name": "Property and Equipment",
          "stable_name": "PROPERTY_AND_EQUIPMENT",
          "normality": "DEBIT",
          "account_type": {
            "value": "ASSET",
            "display_name": "Assets"
          },
          "balance": 0
        }
      ],
      "cash_from_financing": [
        {
          "id": "aa96d895-96b7-40d9-aa1f-52bbd1d1651e",
          "name": "Equity",
          "stable_name": "EQUITY",
          "normality": "CREDIT",
          "account_type": {
            "value": "EQUITY",
            "display_name": "Equities"
          },
          "balance": -367655
        },
        {
          "id": "02369cdf-3356-4747-bce4-438cac3e35d3",
          "name": "Liabilities",
          "stable_name": "LIABILITIES",
          "normality": "CREDIT",
          "account_type": {
            "value": "LIABILITY",
            "display_name": "Liabilities"
          },
          "balance": 0
        }
      ],
      "net_increase_in_cash": 1750000,
      "cash_at_period_start": 1000000,
      "cash_at_period_end": 2750000
    }
  }
  ```
</ResponseExample>
